Update a tag
curl --request PATCH \
--url https://{region}.affinda.com/v3/tags/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"workspace": "mEFayXdO"
}
'import requests
url = "https://{region}.affinda.com/v3/tags/{id}"
payload = {
"name": "<string>",
"workspace": "mEFayXdO"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', workspace: 'mEFayXdO'})
};
fetch('https://{region}.affinda.com/v3/tags/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": 1,
"name": "<string>",
"workspace": "mEFayXdO",
"documentCount": 1
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Tags
Update a tag
Update data of an tag.
PATCH
/
v3
/
tags
/
{id}
Update a tag
curl --request PATCH \
--url https://{region}.affinda.com/v3/tags/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"workspace": "mEFayXdO"
}
'import requests
url = "https://{region}.affinda.com/v3/tags/{id}"
payload = {
"name": "<string>",
"workspace": "mEFayXdO"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', workspace: 'mEFayXdO'})
};
fetch('https://{region}.affinda.com/v3/tags/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": 1,
"name": "<string>",
"workspace": "mEFayXdO",
"documentCount": 1
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Authorizations
Basic authentication using an API key, e.g. {Authorization: Bearer aff_0bb4fbdf97b7e4111ff6c0015471094155f91}.
You can find your API key within the Settings page of the Affinda web app. You can obtain an API key by signing up for a free trial.
Path Parameters
Tag's ID Uniquely identify a tag.
Required range:
x >= 1Example:
1
Body
application/json
Tag data to update
Was this page helpful?
⌘I